Name:          aqbanking
Version:       6.6.0
Release:       1mamba
Summary:       A library for online banking and financial applications
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.aquamaniac.de/rdm/
Source:        https://www.aquamaniac.de/rdm/attachments/download/531/aqbanking-%{version}.tar.gz
# FIXME: tarball from github misses some generared header files
#Source:        https://github.com/aqbanking/aqbanking.git/%{version}/aqbanking-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgmp-devel
BuildRequires: libgwenhywfar-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libktoblzcheck-devel
BuildRequires: gwenhywfar-devel >= 5.1.3
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
AqBanking is a library for online banking and financial applications.

%package -n lib%{name}
Group:         System/Libraries
Summary:       A library for online banking and financial applications

%description -n lib%{name}
AqBanking is a library for online banking and financial applications.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%prep
%setup -q
autoreconf -f -i

%build
#export PKG_CONFIG=/usr/bin/pkg-config
%configure \
   --enable-gwenhywfar \
   --with-backends="aqhbci aqofxconnect aqpaypal aqnone" # aqnone https://www.aquamaniac.de/rdm/issues/258

%make -j1

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name} || touch %{name}.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/aqbanking-cli
%{_bindir}/aqbanking-config
%{_bindir}/aqebics-tool
%{_bindir}/aqhbci-tool4
%{_bindir}/aqofxconnect-tool
%{_bindir}/aqpaypal-tool
%dir %{_datadir}/aqbanking
%dir %{_datadir}/aqbanking/aqbanking
%{_datadir}/aqbanking/aqbanking/*
%dir %{_datadir}/aqbanking/backends
%{_datadir}/aqbanking/backends/*
%dir %{_datadir}/aqbanking/bankinfo
%{_datadir}/aqbanking/bankinfo/*
%dir %{_datadir}/aqbanking/dialogs
%{_datadir}/aqbanking/dialogs/*
%dir %{_datadir}/aqbanking/imexporters
%{_datadir}/aqbanking/imexporters/*
%dir %{_datadir}/aqbanking/typemaker2
%{_datadir}/aqbanking/typemaker2/*
%{_datadir}/doc/aqbanking/AUTHORS
%{_datadir}/doc/aqbanking/COPYING
%{_datadir}/doc/aqbanking/ChangeLog
%{_datadir}/doc/aqbanking/README

%files -n lib%{name}
%defattr(-,root,root)
%dir %{_libdir}/aqbanking/
%dir %{_libdir}/aqbanking/plugins
%dir %{_libdir}/aqbanking/plugins/44
%{_libdir}/aqbanking/plugins/44/*
%{_libdir}/libaqbanking.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/aqbanking6
%dir %{_includedir}/aqbanking6/aqbanking
%{_includedir}/aqbanking6/aqbanking/*
%{_libdir}/libaqbanking.so
%{_libdir}/pkgconfig/aqbanking.pc
%dir %{_libdir}/cmake/aqbanking-*
%{_libdir}/cmake/aqbanking-*/aqbanking-config*.cmake
%{_datadir}/aclocal/aqbanking.m4
%doc NEWS README TODO

%changelog
* Mon Jan 13 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 6.6.0-1mamba
- update to 6.6.0; closes #1

* Wed Aug 16 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.4-1mamba
- update to 6.5.4

* Fri Dec 30 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.5.3-1mamba
- update to 6.5.3

* Tue Dec 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.1-1mamba
- update to 6.4.1

* Sun Sep 19 2021 Automatic Build System <autodist@mambasoft.it> 6.3.2-1mamba
- automatic version update by autodist

* Sun Sep 12 2021 Automatic Build System <autodist@mambasoft.it> 6.3.1-1mamba
- automatic version update by autodist

* Thu May 06 2021 Automatic Build System <autodist@mambasoft.it> 6.3.0-1mamba
- automatic version update by autodist

* Thu Mar 11 2021 Automatic Build System <autodist@mambasoft.it> 6.2.10-1mamba
- automatic version update by autodist

* Tue Feb 23 2021 Automatic Build System <autodist@mambasoft.it> 6.2.9-1mamba
- automatic version update by autodist

* Mon Feb 22 2021 Automatic Build System <autodist@mambasoft.it> 6.2.8-1mamba
- automatic version update by autodist

* Sat Feb 13 2021 Automatic Build System <autodist@mambasoft.it> 6.2.6-1mamba
- automatic version update by autodist

* Sun Oct 11 2020 Automatic Build System <autodist@mambasoft.it> 6.2.5-1mamba
- automatic version update by autodist

* Sat Aug 22 2020 Automatic Build System <autodist@mambasoft.it> 6.2.2-1mamba
- automatic version update by autodist

* Tue Jul 07 2020 Automatic Build System <autodist@mambasoft.it> 6.2.1-1mamba
- automatic version update by autodist

* Mon Apr 20 2020 Automatic Build System <autodist@mambasoft.it> 6.1.4-1mamba
- automatic version update by autodist

* Mon Mar 23 2020 Automatic Build System <autodist@mambasoft.it> 6.1.3-1mamba
- automatic version update by autodist

* Sat Mar 21 2020 Automatic Build System <autodist@mambasoft.it> 6.1.2-1mamba
- automatic version update by autodist

* Sat Mar 14 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.1.1-1mamba
- update to 6.1.1

* Mon Jan 27 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 6.0.2-1mamba
- update to 6.0.2

* Wed Nov 27 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.8.2-1mamba
- package created using the webbuild interface
